Page MenuHomePhabricator

consider to remove /usr/lib/anon-ws-disable-stacked-tor/controlportfilt.sh
Closed, ResolvedPublic

Details

Impact
Normal

Event Timeline

Patrick created this task.Apr 9 2017, 3:51 PM

I commented out the three lines and rebooted. Both stable and alpha connect fine.

Do I simply remove the whole block of code:

if [ ! "$CONTROL_PORT_FILTER_PROXY" = "0" ]; then

   export TOR_CONTROL_HOST="127.0.0.1"

   export TOR_CONTROL_PORT="9151"

   ## this is to satisfy Tor Button just filled up with anything
   export TOR_CONTROL_PASSWD='"password"'
fi

or ## comment the export lines?

I'm assuming that

if [ ! "$CONTROL_PORT_FILTER_PROXY" = "0" ]; then

   export TOR_CONTROL_HOST="127.0.0.1"

   export TOR_CONTROL_PORT="9151"

   ## this is to satisfy Tor Button just filled up with anything
   export TOR_CONTROL_PASSWD='"password"'
fi

is still useful.

I commented out the three lines and rebooted. Both stable and alpha connect fine.

Did you try new identity? Does it work?

https://www.whonix.org/wiki/Tor_Browser#New_Identity_Function

Please also Verify New Identity.

https://www.whonix.org/wiki/Tor_Browser/Advanced_Users#Verify_New_Identity

I'm assuming that ... is still useful.

Try to remove as much as possible.

TOR_CONTROL_PASSWD might still be required. Please make a separate test if that is still needed.

JasonJAyalaP added a comment.EditedJun 3 2017, 7:11 PM

Try to remove as much as possible.

I pasted the wrong code, I meant to say that I'm assuming we still need:

for i in /etc/controlportfilt.d/*.conf /rw/config/controlportfilt.d/*.conf; do
   if [ -f "$i" ]; then
      . "$i"
   fi
done

Did you try new identity? Does it work?

Yes.

Please also Verify New Identity.

Check.TPO reveals a new IP.
The two commands

sudo journalctl -f -u control-port-filter-proxy
sudo journalctl -f -u onion-grater

don't show anything, however.

TOR_CONTROL_PASSWD might still be required. Please make a separate test if that is still needed.

I don't understand. If PASSWD is blank and it still works, how do I test more? Needed for what?

JasonJAyalaP (Jason J. Ayala P.):

JasonJAyalaP added a comment.

> Try to remove as much as possible.
I pasted the wrong code, I meant to say that I'm assuming we still need:
  for i in /etc/controlportfilt.d/*.conf /rw/config/controlportfilt.d/*.conf; do
     if [ -f "$i" ]; then
        . "$i"
     fi
  done

Yes, remove that.

> Did you try new identity? Does it work?
Yes.
> Please also Verify New Identity.
Check.TPO reveals a new IP.
The two commands
  sudo journalctl -f -u control-port-filter-proxy
  sudo journalctl -f -u onion-grater
don't show anything, however.

This one.

sudo journalctl -f -u tor-controlport-filter

Will change to onion-grater in next development version of Whonix.

> `TOR_CONTROL_PASSWD` might still be required. Please make a separate test if that is still needed.
I don't understand. If PASSWD is blank and it still works, how do I test more?

If password is unset and it still works, no more testing required. (Just
watching sudo journalctl -f -u tor-controlport-filter while running
Tor Browser New Idenity is required to be sure it's really working.)

Done and closed.

new identity looks fine:

If we don't need to source the control port filter.d, we don't the the file at all. Then, we don't need the two other files that simply source this unneeded file. I will remove all 3 files.

JasonJAyalaP closed this task as Resolved.Jun 5 2017, 8:35 PM